Fancybox.bind("[data-fancybox='landImages']", {
    loop: true,
    arrows: true,
    buttons: ["zoom", "close"],
    transitionEffect: "slide",
});
Fancybox.bind("[data-fancybox='gallery']", {
    loop: true,
    arrows: true,
    buttons: ["zoom", "close"],
    transitionEffect: "slide",
});
Fancybox.bind("[data-fancybox='roomsGallery']", {
    loop: true,
    arrows: true,
    buttons: ["zoom", "close"],
    transitionEffect: "slide",
});
jQuery(document).ready(function () {
    jQuery('.select2').select2({
        placeholder: function () {
            return jQuery(this).attr('placeholder');
        },
        allowClear: true
    });
});

// Function to handle currency change via AJAX
function fetchCurrencyAndUpdateCookie(currency) {
    jQuery.ajax({
        url: emlak_ajax.ajax_url,  
        method: 'POST',
        data: {
            action: 'update_currency',
            currency: currency
        },
        success: function(response) {
            if (response.success) {
                location.reload();
            } else {
                console.error(response.data.error || 'Error updating the currency.');
            }
        },
        error: function() {
            console.error('Failed to update currency.');
        }
    });
}

// When the currency dropdown is changed, call the function to update the cookie
jQuery('#currency-selector').on('change', function() {
    var selectedCurrency = jQuery(this).val();  // Get the selected currency from the dropdown
    fetchCurrencyAndUpdateCookie(selectedCurrency);  // Call the function to update the currency in the cookie
});


    